c***********************************************************************CNTS028
      character*1 function atmchk(Total,count)                          CNTS029
c                                                                       CNTS030
c     set 'present' fields to all none or some as appropriate           CNTS031
c                                                                       CNTS032
      include 'sstruc.par'                                              CNTS033
      integer total, count                                              CNTS034
      if (total .eq. 0) then                                            CNTS035
         atmchk = space                                                 CNTS036
      else                                                              CNTS037
         if (count .eq. 0) then                                         CNTS038
            atmchk = 'N'                                                CNTS039
         else                                                           CNTS040
            if (count .ge. total) then                                  CNTS041
               atmchk = 'A'                                             CNTS042
            else                                                        CNTS043
               atmchk = 'S'                                             CNTS044
            end if                                                      CNTS045
         end if                                                         CNTS046
      end if                                                            CNTS047
      END                                                               CNTS048
c***********************************************************************CNTS049
      character*1 function atmchk (total, count)                        ATMC001
c     set 'present' fields to all none or some as appropriate           ATMC002
c                                                                       ATMC003
      include 'brkcln.par'                                              ATMC004
c                                                                       ATMC005
      integer  total, count                                             ATMC006
c                                                                       ATMC007
      if (total .eq. 0) then                                            ATMC008
         atmchk = space                                                 ATMC009
      else                                                              ATMC010
         if (count .eq. 0) then                                         ATMC011
            atmchk = 'N'                                                ATMC012
         else                                                           ATMC013
            if (count .ge. total) then                                  ATMC014
               atmchk = 'A'                                             ATMC015
            else                                                        ATMC016
               atmchk = 'S'                                             ATMC017
            end if                                                      ATMC018
         end if                                                         ATMC019
      end if                                                            ATMC020
      end                                                               ATMC021
